# Welcome to CloudDisk

CloudDisk service is a lightweight and low-cost cloud storage service. You can upload and download data from any application anytime and anywhere by calling the API. It can also be managed simply through the portal. CloudDisk is suitable for storing any type of file and serving various users, such as websites, development companies, and developers.

- Storage and access of various documents: electronic policies, electronic documents, etc.
- Temporary storage of document uploading: upload excel files to Amazon S3 first, and then read them in the background.
- Storage and archiving of critical messages: logs interacting with supervisory services.
- Static files for web pages: pictures and streaming media in pages, etc.
- ...

## Topics

- [Working with buckets in CloudDisk](./InsureMO_clouddisk_bucket)
  + [Apply for a bucket](./InsureMO_clouddisk_bucket#apply-for-a-bucket)
- [Working with objects in CloudDisk](./InsureMO_clouddisk_object)
  + [Naming an obejct](./InsureMO_clouddisk_object#naming-objects)
- [Migrate from v1/v2](./InsureMO_clouddisk_migrate_from_v1_v2)
- [CloudDisk API Reference](https://docs.insuremo.com/tech/pro/sdk/api/clouddisk)
- [CloudDisk V1/V2(Deprecated)](../deprecated/InsureMO_clouddisk_v1_deprecated.md)

## Find CloudDisk on insureMO Portal

- Click **Sign in** to log in to [insureMO Portal](https://portal.insuremo.com/).

  <div class="docs-info"><span class="docs-admonitions-text">info</span>

  If you do not have an account, click **Sign up** to register one.

  </div>

- Click **Catalog** at the top of the home page.
- In the left navigation pane, navigate to **Non Insurance Services > Storage > Clouddisk Service V3** to find the card.
![](../image/clouddisk/v3_card_1.png)

## Developing with CloudDisk API

<details>
<summary>Call API</summary>

> API Reference
> 

https://docs.insuremo.com/tech/pro/sdk/api/clouddisk

> API Prefix
> 

```{{insuremo_gw_url}}/mo-fo/1.0/```
 
> Auth Headers
> 

```Authorization: Bearer {{access_token}}```

</details>
<details>
<summary>Using insureMO CloudDisk SDK For Java</summary>

> All Java SDK Documentation
> 

https://docs.insuremo.com/tech/pro/sdk/java/latest/com/insuremo/sdk/services/clouddisk/api/package-summary.html

> maven dependency:
>

```xml
<properties>  
    <insuremo.sdk.version>1.1.XXX</insuremo.sdk.version>  
</properties>
<dependencies>  
    <dependency>  
        <groupId>com.insuremo.sdk</groupId>  
        <artifactId>clouddisk</artifactId>  
        <version>${insuremo.sdk.version}</version>
	</dependency>  
</dependencies>
```

> Build SNS SDK Client
> 

```java
import com.insuremo.sdk.core.client.SDKClient;  
import com.insuremo.sdk.services.clouddisk.ClouddiskSdkClient;  
  
public class Main {  
  
    public static ClouddiskSdkClient buildClient() {  
        SDKClient sdkClient = SDKClient.builder().  
                defaultConfigs().  
                // configure INSUREMO_GW_URL as your env property
                gateway(System.getenv("INSUREMO_GW_URL")).  
                // configure INSUREMO_ACCESS_TOKEN as your env property
                accessToken(System.getenv("INSUREMO_ACCESS_TOKEN")).  
                build();  
        return new ClouddiskSdkClient(sdkClient);  
    }  
}
```

</details>
